--- title: "Audit Log" slug: "server-api-global-setting-audit-log" updated: 2022-09-01T07:05:44Z published: 2022-09-01T07:05:44Z canonical: "developer.comm100.com/server-api-global-setting-audit-log" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Audit Log ## Audit Log You need View Audit Log permission to view audit logs. - `Audit Logs` - Audit Logs Manage - `GET global/auditLogs` - [Get the list of Audit Logs](/docs/server-api-global-setting-audit-log#get-the-list-of-audit-logs) - `GET global/auditLogs/{id}` - [Get a single Audit Log](/docs/server-api-global-setting-audit-log#get-a-single-audit-log) ### Audit Log JSON Format Audit Log is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the audit log. | | `moduleId` | string | Module which the action belongs to. | | `actionSummary` | string | Summary of the action. | | `actionDetails` | string | Details of the action. | | `agentId` | guid | Id of the agent who did the action. | | `createTime` | datetime | Audit log create time. | | `actionTypeId` | integer | Id of the action type. | | `agent` | [agent](/docs/agent) | Reference to Agent. | | `actionType` | [actionType](/docs/actiontype) | Reference to Action Type. | | `module` | [module](/docs/module) | Reference to Module. | ### Get the list of Audit Logs `GET global/auditLogs` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `anyAgent` | guid | query | no | Id of the agent. | | `keywords` | string | query | no | The keywords associated with the action. | | `actionTime` | DateTime | query | no | The created time of the action. | | `actionType` | int | query | no | Action types for different applications. Call this interface 'Get the list of ActionTypes' to get action types. | | `module` | string | query | no | The module of the action. Call this interface 'Get the list of Modules' to get modules. | | `include` | string | query | no | Allowed values are "agent", "actionType", "module". | - #### Response: An array of [Audit Log](/docs/server-api-global-setting-audit-log#audit-log-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/auditLogs \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "auditLogs": [ { "id": "ce589f1b-bc14-47f2-ac5e-e9bfd33e1fd1", "moduleId": "Global", "actionSummary": "Update Restricted Words : 10000 (ID: 10000) ", "actionDetails": "[{\"fieldName\":\"avatar\",\"newValue\":\"https://dash11.comm100.io/Global/agents/c1ad60f8-e2e1-47d2-ad50-8b5de24d2b06/avatar?SiteId=10000&version=0a81b7ef4afeecb251b27c3e45b4ba5a\",\"oldValue\":\"https://dash11.comm100.io/Global/agents/c1ad60f8-e2e1-47d2-ad50-8b5de24d2b06/avatar?SiteId=10000&version=920b345dfe5d42cf0441305e5a1191dc\"},{\"fieldName\":\"systemAvatarId\",\"newValue\":\"1768a098-f138-eb11-ac9f-18c04d023ea9\",\"oldValue\":\"2d83d4fd-3114-eb11-80fc-00155d081d0b\"}]", "agentId": "07975907-ee24-4722-b7df-711a2a4f5dba", "createTime": "2021-04-16T10:05:38.7593288Z", "actionTypeId": "1", "agent": { "avatar": "https://api11.comm100.io/v4/Global/agents/c2c165b7-d5ce-40e5-a492-f586f514a062/avatar", "id": "c2c165b7-d5ce-40e5-a492-f586f514a062", "email": "andy@comm100.com", "displayName": "Andy Liao", "firstName": "Andy", "lastName": "Liao", "isAdmin": true, "isActive": true, "phone": "13712345678", "title": "Manager", "bio": "Hello, I am Andy", "timeZone": "Pacific Standard Time", "datetimeFormat": "YYYY/MM/DD HH:mm:ss", "systemAvatarId": "1383d4fd-3114-eb11-80fc-00155d081d0b", "ifCustomizeAvatar": true, "customizeAvatar": "https://dash11.comm100.io/Global/agents/c1ad60f8-e2e1-47d2-ad50-8b5de24d2b06/customizeAvatar?SiteId=10000&version=6e7b513d20baaf89b84e81e56d365111", "createdTime": "2020-12-25T06:01:00.913Z", "isLocked": true, "lockedTime": "2020-12-25T06:01:00.93Z", "isDeleted": false, "language": "en", "superAgentId": "00000000-0000-0000-0000-000000000000", "externalId": "", "permissionIds": [ "45A2EF45-7D46-EB11-8100-00155D081D0B" ], "departmentIds": [ "b6ff11d8-0be7-4e99-b8c7-5a7ab501c69b" ], "roleIds": [ "e0bf1302-d145-eb11-8100-00155d081d0b" ], "shiftIds": [], "chatbotSmartTriggerActionIds": [], "triggerIds": [], "segmentIds": [], "skillIds": [] }, "actionType": { "id": 1, "moduleId": "Global", "name": "Agent Role Management" }, "module": { "id": "", "name": "LiveChat", "description": "This is LiveChat.", "order": 0 } } ], "nextPage": null, "previousPage": null, "total": 1 } ``` ### Get a single Audit Log `GET global/auditLogs/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are "agent", "actionType", "module". | - #### Response: [Audit Log](/docs/server-api-global-setting-audit-log#audit-log-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/auditLogs/ce589f1b-bc14-47f2-ac5e-e9bfd33e1fd1 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "ce589f1b-bc14-47f2-ac5e-e9bfd33e1fd1", "moduleId": "Global", "actionSummary": "Update Restricted Words : 10000 (ID: 10000) ", "actionDetails": "[{\"fieldName\":\"avatar\",\"newValue\":\"https://dash11.comm100.io/Global/agents/c1ad60f8-e2e1-47d2-ad50-8b5de24d2b06/avatar?SiteId=10000&version=0a81b7ef4afeecb251b27c3e45b4ba5a\",\"oldValue\":\"https://dash11.comm100.io/Global/agents/c1ad60f8-e2e1-47d2-ad50-8b5de24d2b06/avatar?SiteId=10000&version=920b345dfe5d42cf0441305e5a1191dc\"},{\"fieldName\":\"systemAvatarId\",\"newValue\":\"1768a098-f138-eb11-ac9f-18c04d023ea9\",\"oldValue\":\"2d83d4fd-3114-eb11-80fc-00155d081d0b\"}]", "agentId": "07975907-ee24-4722-b7df-711a2a4f5dba", "createTime": "2021-04-16T10:05:38.7593288Z", "actionTypeId": "1", "agent": { "avatar": "https://api11.comm100.io/v4/Global/agents/c2c165b7-d5ce-40e5-a492-f586f514a062/avatar", "id": "c2c165b7-d5ce-40e5-a492-f586f514a062", "email": "andy@comm100.com", "displayName": "Andy Liao", "firstName": "Andy", "lastName": "Liao", "isAdmin": true, "isActive": true, "phone": "13712345678", "title": "Manager", "bio": "Hello, I am Andy", "timeZone": "Pacific Standard Time", "datetimeFormat": "YYYY/MM/DD HH:mm:ss", "systemAvatarId": "1383d4fd-3114-eb11-80fc-00155d081d0b", "ifCustomizeAvatar": true, "customizeAvatar": "https://dash11.comm100.io/Global/agents/c1ad60f8-e2e1-47d2-ad50-8b5de24d2b06/customizeAvatar?SiteId=10000&version=6e7b513d20baaf89b84e81e56d365111", "createdTime": "2020-12-25T06:01:00.913Z", "isLocked": true, "lockedTime": "2020-12-25T06:01:00.93Z", "isDeleted": false, "language": "en", "superAgentId": "00000000-0000-0000-0000-000000000000", "externalId": "", "permissionIds": [ "45A2EF45-7D46-EB11-8100-00155D081D0B" ], "departmentIds": [ "b6ff11d8-0be7-4e99-b8c7-5a7ab501c69b" ], "roleIds": [ "e0bf1302-d145-eb11-8100-00155d081d0b" ], "shiftIds": [], "chatbotSmartTriggerActionIds": [], "triggerIds": [], "segmentIds": [], "skillIds": [] }, "actionType": { "id": 1, "moduleId": "Global", "name": "Agent Role Management" }, "module": { "id": "", "name": "LiveChat", "description": "This is LiveChat.", "order": 0 } } ```